Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class AbstractWidgetDefinitionBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder

All Implemented Interfaces:
  WidgetDefinitionBuilder

Direct Known Subclasses:
  AbstractContainerDefinitionBuilder, AbstractDatatypeWidgetDefinitionBuilder, ActionDefinitionBuilder, BooleanFieldDefinitionBuilder, ButtonDefinitionBuilder, ExpandDefinitionBuilder, GoogleMapDefinitionBuilder, ImageMapDefinitionBuilder, ImportDefinitionBuilder, MessagesDefinitionBuilder, NewDefinitionBuilder, RepeaterActionDefinitionBuilder, RowActionDefinitionBuilder, TreeDefinitionBuilder, UploadDefinitionBuilder

public abstract class AbstractWidgetDefinitionBuilder
extends Object
implements WidgetDefinitionBuilder

Abstract base class for WidgetDefinitionBuilders. Provides functionality common to many implementations.

Version:
  $Id: AbstractWidgetDefinitionBuilder.java 615336 2008-01-25 20:48:44Z vgritsenko $

Field Summary
`protected DatatypeManager` | `datatypeManager`
`protected ExpressionManager` | `expressionManager`
`protected Map` | `widgetDefinitionBuilders`
`protected Map` | `widgetListenerBuilders`
`protected Map` | `widgetValidatorBuilders`

Constructor Summary
`AbstractWidgetDefinitionBuilder()`

Method Summary
`protected WidgetDefinition` | `buildAnotherWidgetDefinition(Element widgetElement, WidgetDefinitionBuilderContext context)`
`protected List` | `buildEventListeners(Element widgetElement, String elementName, Class listenerClass)`
`WidgetDefinition` | `buildWidgetDefinition(Element widgetElement)`
`protected void` | `setCommonProperties(Element widgetElement, AbstractWidgetDefinition widgetDefinition)`
`protected void` | `setCreateListeners(Element widgetElement, AbstractWidgetDefinition widgetDefinition)`
`void` | `setDatatypeManager(DatatypeManager datatypeManager)`
`protected void` | `setDisplayData(Element widgetElement, AbstractWidgetDefinition widgetDefinition)`
`void` | `setExpressionManager(ExpressionManager expressionManager)`
`protected void` | `setupDefinition(Element widgetElement, AbstractWidgetDefinition definition, WidgetDefinitionBuilderContext context)`
`protected void` | `setValidators(Element widgetElement, AbstractWidgetDefinition widgetDefinition)`
`void` | `setWidgetDefinitionBuilders(Map widgetDefinitionBuilders)`
`void` | `setWidgetListenerBuilders(Map widgetListenerBuilders)`
`void` | `setWidgetValidatorBuilders(Map widgetValidatorBuilders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.formmodel.WidgetDefinitionBuilder
`buildWidgetDefinition`

Field Detail

### widgetDefinitionBuilders

    protected Map widgetDefinitionBuilders

### widgetValidatorBuilders

    protected Map widgetValidatorBuilders

### widgetListenerBuilders

    protected Map widgetListenerBuilders

### datatypeManager

    protected DatatypeManager datatypeManager

### expressionManager

    protected ExpressionManager expressionManager

Constructor Detail

### AbstractWidgetDefinitionBuilder

    public AbstractWidgetDefinitionBuilder()

Method Detail

### buildWidgetDefinition

    public WidgetDefinition buildWidgetDefinition(Element widgetElement)
                                           throws Exception

  Specified by:
    `buildWidgetDefinition` in interface `WidgetDefinitionBuilder`
  Throws:
    `Exception`

### setupDefinition

    protected void setupDefinition(Element widgetElement,
                                   AbstractWidgetDefinition definition,
                                   WidgetDefinitionBuilderContext context)
                            throws Exception

  Throws:
    `Exception`

### setCommonProperties

    protected void setCommonProperties(Element widgetElement,
                                       AbstractWidgetDefinition widgetDefinition)
                                throws Exception

  Throws:
    `Exception`

### buildAnotherWidgetDefinition

    protected WidgetDefinition buildAnotherWidgetDefinition(Element widgetElement,
                                                            WidgetDefinitionBuilderContext context)
                                                     throws Exception

  Throws:
    `Exception`

### buildEventListeners

    protected List buildEventListeners(Element widgetElement,
                                       String elementName,
                                       Class listenerClass)
                                throws Exception

  Throws:
    `Exception`

### setDisplayData

    protected void setDisplayData(Element widgetElement,
                                  AbstractWidgetDefinition widgetDefinition)
                           throws Exception

  Throws:
    `Exception`

### setValidators

    protected void setValidators(Element widgetElement,
                                 AbstractWidgetDefinition widgetDefinition)
                          throws Exception

  Throws:
    `Exception`

### setCreateListeners

    protected void setCreateListeners(Element widgetElement,
                                      AbstractWidgetDefinition widgetDefinition)
                               throws Exception

  Throws:
    `Exception`

### setWidgetDefinitionBuilders

    public void setWidgetDefinitionBuilders(Map widgetDefinitionBuilders)

### setWidgetValidatorBuilders

    public void setWidgetValidatorBuilders(Map widgetValidatorBuilders)

### setWidgetListenerBuilders

    public void setWidgetListenerBuilders(Map widgetListenerBuilders)

### setDatatypeManager

    public void setDatatypeManager(DatatypeManager datatypeManager)

### setExpressionManager

    public void setExpressionManager(ExpressionManager expressionManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.